import { MigrationInterface, QueryRunner } from 'typeorm';

export class AddColumnToTransactionsTable1722693550579
  implements MigrationInterface
{
  name = 'AddColumnToTransactionsTable1722693550579';

  public async up(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(
      `ALTER TABLE "transactions" ADD "booking_date_before" date`,
    );
  }

  public async down(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(
      `ALTER TABLE "transactions" DROP COLUMN "booking_date_before"`,
    );
  }
}
